Page MenuHomePhabricator

Add CMake option for using /DEBUG:GHASH
ClosedPublic

Authored by zturner on Feb 28 2018, 10:22 AM.

Details

Reviewers
rnk
aganea
Summary

This way when self-hosting we can just say -DLLVM_ENABLE_DEBUG_GHASH=ON without having to mess around manually with cxxflags and ldflags.

Diff Detail

Event Timeline

zturner created this revision.Feb 28 2018, 10:22 AM
rnk accepted this revision.Feb 28 2018, 4:40 PM

lgtm

This revision is now accepted and ready to land.Feb 28 2018, 4:40 PM

Is this still to be commited?

rnk added a comment.Sep 19 2018, 1:33 PM

Let's land this, I want to try it out. :)

rnk added a comment.May 27 2021, 2:39 PM

We are moving to make ghash the default, so I don't think we need this. I have a follow-up to pass -gcodeview-ghash: D102888 I think we can close this as obsolete.

Herald added a project: Restricted Project. · View Herald TranscriptMay 27 2021, 2:39 PM
rnk closed this revision.May 27 2021, 2:39 PM